package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * @Description:
 * @author: dsYun
 * @time: 2024/3/1 10:01
 */
@Getter
@Setter
public class QcRuleWarnAlgVO {
    //结果明细ID
    private Long id;
    //评分结果id
    private Long qcresultInfoId;
    //模块ID
    private Long casesId;
    //模块名称
    private String casesName;
    //模块分数
    private BigDecimal casesScore;
    //所属条目ID
    private Long casesEntryId;
    //条目分值
    private BigDecimal score;
    //条目提示信息
    private String msg;
    //质控返回info
    private String info;
    //单项否决（1-单项否决 0-非）
    private Integer isReject;
}
