use `qc`;

/**
执行脚本前请先看注意事项：
  
 */
/**
sys_user表新增locked字段
 */
ALTER TABLE `sys_user` ADD COLUMN `locked` char(1) NOT NULL DEFAULT '1' COMMENT '锁定状态0禁用；1启用' AFTER `type`;

/**
sys_dictionary_info表新增token、用户锁定、解锁时间配置
 */
INSERT INTO `sys_dictionary_info` (`group_type`, `name`, `val`, `return_type`, `remark`) VALUES ('31', 'accessToken', '86400', '2', 'accessToken有效期（单位秒）');
INSERT INTO `sys_dictionary_info` (`group_type`, `name`, `val`, `return_type`, `remark`) VALUES ('31', 'refreshToken', '604800', '2', 'refreshToken有效期（单位秒）');
INSERT INTO `sys_dictionary_info` (`group_type`, `name`, `val`, `return_type`, `remark`) VALUES ('31', 'unlockTime', '600', '2', '自动解锁时间');
INSERT INTO `sys_dictionary_info` (`group_type`, `name`, `val`, `return_type`, `remark`) VALUES ('31', 'lockTime', '60', '2', '锁定时间');
INSERT INTO `sys_dictionary_info` (`group_type`, `name`, `val`, `return_type`, `remark`) VALUES ('31', 'lockNum', '5', '2', '连续密码输入错误次数');

/**
sys_hospital_set表新增是否开启用户锁定配置
 */
INSERT INTO `sys_hospital_set` (`hospital_id`, `name`, `code`, `value`, `remark`) VALUES ('14', '密码错误锁定机制', 'lock_user', 'true', '密码错误锁定机制');