package com.diagbot.dto;

import lombok.Data;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description: 核查人员用户科室、姓名、角色输出类
 * @Author:songxl
 * @time: 2021/5/14 13:45
 */
@Data
public class CheckUserDTO {
    /**
     * 病区code
     */
    private String wardCode;
    /**
     * 病区名称
     */
    private String wardName;
    //科室id
    private String deptId;
    //科室名称
    private String deptName;
    /**
     * 医疗组Code
     */
    private String medoupCode;
    /**
     * 医疗组名称
     */
    private String medoupName;
    //医生id
    private String doctorId;
    //医生名称
    private String doctorName;
    //角色id
    private int roleId;
}
