package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description: 科室核查人员输出类
 * @Author:songxl
 * @time: 2021/5/14 13:45
 */
@Getter
@Setter
public class DeptCheckUserDTO {

    /**
     * 病区code
     */
    private String wardCode;
    /**
     * 病区名称
     */
    private String wardName;
    //科室id
    private String deptId;
    //科室名称
    private String deptName;
    /**
     * 医疗组Code
     */
    private String medoupCode;
    /**
     * 医疗组名称
     */
    private String medoupName;
    //医生id
    private String doctorId;
    //医生名称
    private String doctorName;
    //核查数
    private int jobNum;
    private int checkNum;
    private int status;
}
