package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @description:
 * @author: zhoutg
 * @time: 2020/4/13 18:31
 */
@Data
public class CheckUserVO {
    //任务类型
    private Integer jobType;
    //核查用户id集合
    private List<String> userList;
    //用户角色集合
    private List<Long> roleIds;
    //用户科室集合
    private List<String> deptIds;
    @ApiModelProperty("病区编号集合")
    private List<String> region;
    @ApiModelProperty("医疗组编号集合")
    private List<String> medoup;
    //医院
    private Long hospitalId;
    //核查状态 0未核查1核查
    private int status;
    //科室类型集合
    private List<String> deptStations;

}
